# Package org.apache.ignite.internal.interop

Interface Summary
Interface | Description
--- | ---
InteropAwareEventFilter<E extends Event> | Special version of predicate for events with initialize/close callbacks.
InteropBootstrap | Interop bootstrap.
InteropBootstrapFactory | Interop bootstrap factory.
InteropLocalEventListener | Special version of listener for events with close callbacks.
InteropProcessor | Interop processor.

Class Summary
Class | Description
--- | ---
InteropIgnition | Entry point for interop nodes.

Exception Summary
Exception | Description
--- | ---
InteropException | Interop checked exception.
InteropNoCallbackException | Exception raised when interop callback is not set in native platform.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015